> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List Axes

> List all Axes satisfying query filters.



## OpenAPI

````yaml /openapi-specs/organization-v3.yaml get /api/v3/axes
openapi: 3.1.0
info:
  title: Organization structure API
  version: '1.0'
  description: |
    Welcome on the documentation for the Organization Structure API
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Legal-Units
    description: Structure > Legal-units
  - name: Establishments
    description: Structure > Establishments
  - name: Departments
    description: Structure > Departments
  - name: Axis-sections
    description: Structure > Axes & Axis-sections
paths:
  /api/v3/axes:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Axis-sections
      summary: List Axes
      description: List all Axes satisfying query filters.
      operationId: get-api-v3-axes
      parameters:
        - schema:
            type: array
            items:
              type: integer
          in: query
          name: id
          description: Filter on axes unique identifiers.
          style: form
        - schema:
            type: boolean
            default: true
          in: query
          name: isActive
          description: Filter on axes active status.
        - $ref: '#/components/parameters/paging'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/Axis'
        '401':
          description: Unauthorized
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    paging:
      name: paging
      in: query
      required: true
      schema:
        type: string
        example: 100,0
      description: '{offset},{limit}. Defaults to 0,1000.'
  schemas:
    Axis:
      title: The Axis resource
      description: >-
        Read more about axes and axis-sections in the [Get Started
        section](/api-reference/legacy/organization/axis-sections/get-started).
      x-tags:
        - Axis-sections
      allOf:
        - $ref: '#/components/schemas/AxisTreeless'
        - type: object
          properties:
            parentAxis:
              $ref: '#/components/schemas/AxisTreeless'
            childrenAxes:
              type: array
              items:
                $ref: '#/components/schemas/AxisTreeless'
              readOnly: true
    AxisTreeless:
      title: AxisTreeless
      type: object
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
          readOnly: true
        name:
          type: string
          readOnly: true
        url:
          type: string
          format: uri
          readOnly: true
        multilingualName:
          type: string
        position:
          type: integer
          minimum: 0
          default: 0
          format: int32
        parentAxisId:
          type:
            - integer
            - 'null'
          format: int32
          default: null
          minimum: 0
        isActive:
          type: boolean
          default: true
        isReadOnly:
          type: boolean
          default: false
          readOnly: true
        isNNRelation:
          type: boolean
          default: false
        level:
          type: integer
          format: int32
          default: 0
          readOnly: true
      required:
        - multilingualName

````